Bug 850835 - bad list of supported auth. mechanisms
bad list of supported auth. mechanisms
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: condor-wallaby-tools (Show other bugs)
2.2
Unspecified Unspecified
low Severity low
: 2.3
: ---
Assigned To: Robert Rati
Lubos Trilety
:
Depends On: 802510
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-22 10:00 EDT by Lubos Trilety
Modified: 2013-03-19 12:38 EDT (History)
4 users (show)

See Also:
Fixed In Version: condor-wallaby-5.0.3-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-19 12:38:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubos Trilety 2012-08-22 10:00:41 EDT
Description of problem:
The help for condor_configure_store/pool prints that supported authentication mechanisms are: ANONYMOUS, PLAIN, GSSAPI
That's not true, there are more.

Maybe the best solution will be to remove the sentence completely or just stated that we support all available mechanisms for broker authentication.

Version-Release number of selected component (if applicable):
condor-wallaby-tools-4.1.3-1

How reproducible:
100%

Steps to Reproduce:
1. run ccs/ccp -h
2. see output
Comment 1 Robert Rati 2012-09-19 15:28:57 EDT
The list of mechanisms provided is what the tools support.  The broker maybe support more, but the client libraries may not.  That said, the ccp/ccs tools now display the same list as wallaby shell does.

Fixed upstream on:
BZ850835-auth-mechanism-list
Comment 6 Lubos Trilety 2013-01-04 11:17:29 EST
Tested with:
condor-wallaby-tools-5.0.4-1

Both tools are using the same list from wallaby shell.

# ccs -h
...
    -m, --auth-mechanism PASS        Authentication mechanisms (ANONYMOUS, PLAIN, GSSAPI, DIGEST-MD5, CRAM-MD5, OTP) for authenticating with the qpid broker
...

# ccp -h
...
    -m, --auth-mechanism PASS        Authentication mechanism (ANONYMOUS, PLAIN, GSSAPI, DIGEST-MD5, CRAM-MD5, OTP) for authenticating with the qpid broker
...

# grep mech /usr/lib/ruby/site_ruby/1.8/condor_wallaby/ccp.rb
          mechs = Mrg::Grid::Config::Shell::VALID_MECHANISMS
            opts.on("-m", "--auth-mechanism PASS", mechs, "Authentication mechanism (#{mechs.join(", ")}) for authenticating with the qpid broker") do |m|

# grep mech /usr/lib/ruby/site_ruby/1.8/condor_wallaby/ccs.rb
          mechs = Mrg::Grid::Config::Shell::VALID_MECHANISMS
            opts.on("-m", "--auth-mechanism PASS", mechs, "Authentication mechanisms (#{mechs.join(", ")}) for authenticating with the qpid broker") do |m|

>>> verified

Note You need to log in before you can comment on or make changes to this bug.